org.apache.uima.resource.metadata.impl

## Class XmlizationInfo

- java.lang.Object
- - org.apache.uima.resource.metadata.impl.XmlizationInfo

-     public class XmlizationInfo
      extends Object

  A simple class used to describe how to render this object as XML.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `elementTagName` The tag name of the XML element that represents this object.
    `String` | `namespace` The namespace of the XML element, null if none.
    `PropertyXmlInfo[]` | `propertyInfo` Information about how this object's properties are represented in XML.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XmlizationInfo(String aElementTagName, PropertyXmlInfo[] aPropInfo)` Creates an XmlizationInfo.
    `XmlizationInfo(String aElementTagName, String aNamespace, PropertyXmlInfo[] aPropInfo)` Creates an XmlizationInfo.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### elementTagName

          public String elementTagName

      The tag name of the XML element that represents this object.

    - #### namespace

          public String namespace

      The namespace of the XML element, null if none.

    - #### propertyInfo

          public PropertyXmlInfo[] propertyInfo

      Information about how this object's properties are represented in XML. The order of the properties in this array defines the order in which they will be written to the XML.

  - ### Constructor Detail

    - #### XmlizationInfo

          public XmlizationInfo(String aElementTagName,
                                String aNamespace,
                                PropertyXmlInfo[] aPropInfo)

      Creates an XmlizationInfo.
      Parameters:
        `aElementTagName` - tag name of XML element that represents this object
        `aNamespace` - the namespace of the XML element, null if none
        `aPropInfo` - information about how to represent this object's properties

    - #### XmlizationInfo

          public XmlizationInfo(String aElementTagName,
                                PropertyXmlInfo[] aPropInfo)

      Creates an XmlizationInfo. Namespace defaults to XMLParser_impl.RESOURCE_SPECIFIER_NAMESPACE.
      Parameters:
        `aElementTagName` - tag name of XML element that represents this object
        `aPropInfo` - information about how to represent this object's properties

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.